<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <canvas id="c" width="640" height="426"></canvas>
    <script>
       var c = document.querySelector("#c");
       var ctx = c.getContext("2d");
       var image = new Image();
       image.onload= function(){
           ctx.drawImage(image,0,0);
           makeGrayScale()

       }

       image.src="images/download.jpg";
       var makePixelGrayScale = function(r,g,b,a){
           var y= (0.3*r)+(0.59*g)+(0.11*b);
           return {r:y,g:y,b:y,a:y}
       }
       function makeGrayScale(){
           console.log("sdsd")
           var r,g,b,a;
           var imageData = ctx.getImageData(0,0,640,426);
           var numPixels = imageData.data.length/4;
           for(var i = 0;i<numPixels;i++){
               r=imageData.data[i*4+0];
               g=imageData.data[i*4+1];
               b=imageData.data[i*4+2];
               a=imageData.data[i*4+3];
               var pixel = makePixelGrayScale(r,g,b,a);
               imageData.data[i*4+0]=pixel.r;
               imageData.data[i*4+1]=pixel.g;
               imageData.data[i*4+2]=pixel.b;
               imageData.data[i*4+3]=pixel.a;
           }
           ctx.putImageData(imageData,0,0)
       }
    </script>
</body>
</html>